/// <reference types="node" />
import ZpiObject from './zpiObject';
import { ZpiObjectPayload } from './tstype';
import { Subsystem, Type } from '../unpi/constants';
import events from 'events';
declare class Znp extends events.EventEmitter {
    private path;
    private baudRate;
    private rtscts;
    private portType;
    private serialPort;
    private socketPort;
    private unpiWriter;
    private unpiParser;
    private initialized;
    private queue;
    private waitress;
    constructor(path: string, baudRate: number, rtscts: boolean);
    private log;
    private onUnpiParsed;
    isInitialized(): boolean;
    private onPortClose;
    open(): Promise<void>;
    private openSerialPort;
    private openSocketPort;
    private skipBootloader;
    static isValidPath(path: string): Promise<boolean>;
    static autoDetectPath(): Promise<string>;
    close(): Promise<void>;
    request(subsystem: Subsystem, command: string, payload: ZpiObjectPayload, expectedStatus?: number[]): Promise<ZpiObject>;
    private waitressTimeoutFormatter;
    waitFor(type: Type, subsystem: Subsystem, command: string, payload?: ZpiObjectPayload, timeout?: number): {
        promise: Promise<ZpiObject>;
        ID: number;
    };
    removeWaitFor(ID: number): void;
    private waitressValidator;
}
export default Znp;
//# sourceMappingURL=znp.d.ts.map